/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package kikipratiwi_mufidanuha.todolistapp;

import java.util.*;

public class TaskList {
    private List<Task> taskList = new ArrayList<Task>();

    public Integer addTask(Task task) {
        this.taskList.add(task);
        System.out.println(addTaskThanksText());

        return this.taskList.size();
    }

    public String addTaskThanksText() {
        return "Thanks! Your task was added!";
    }

    private String list;
    private boolean status;

    TaskList() {}

    TaskList(String list, boolean status) {
        this.list = list;
        this.status = status;
    }

    public boolean isEmpty() {
        return true;
    }

    public String getList() {
        return this.list;
    }

    public boolean getStatus() {
        return this.status;
    }

    public char getStatusChar() {
        return (this.status) ? 'C' : 'I';
    }
}
